#include "ip2region.h"
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>

int main()
{
    // 执行查询并添加到缓存
    char *area = ip2region("ip2region.xdb", "199.45.154.152");
    if (area == NULL) {
        return -1;
    }
    puts(area);


    free(area);

    return 0;
}
 
